Update a student record

Updates editable student identity, contact, medical, and academic placement fields for the active school.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idintegerRequired>=1
Student identifier to update.

Request

This endpoint expects an object.
firstnamestring or nullOptional<=255 characters
lastnamestring or nullOptional<=255 characters
firstname_hebrewstring or nullOptional
lastname_hebrewstring or nullOptional
phonestring or nullOptional
emailstring or nullOptionalformat: "email"
dobdate or nullOptional
genderstring or nullOptional
addressstring or nullOptional
citystring or nullOptional
statestring or nullOptional
countrystring or nullOptional
zipstring or nullOptional
gov_idstring or nullOptional
class_idinteger or nullOptional
grade_idinteger or nullOptional
status_iddouble or nullOptional
academic_year_idinteger or nullOptional

Response

Student was saved successfully.
statusstringOptional
messagestringOptional
dataobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error